org.jboss.resteasy.spi

## Class CorsHeaders

- java.lang.Object
- - org.jboss.resteasy.spi.CorsHeaders

-     public class CorsHeaders
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESS_CONTROL_ALLOW_CREDENTIALS`
    `static String` | `ACCESS_CONTROL_ALLOW_HEADERS`
    `static String` | `ACCESS_CONTROL_ALLOW_METHODS`
    `static String` | `ACCESS_CONTROL_ALLOW_ORIGIN`
    `static String` | `ACCESS_CONTROL_EXPOSE_HEADERS`
    `static String` | `ACCESS_CONTROL_MAX_AGE`
    `static String` | `ACCESS_CONTROL_REQUEST_HEADERS`
    `static String` | `ACCESS_CONTROL_REQUEST_METHOD`
    `static String` | `ORIGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorsHeaders()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACCESS_CONTROL_ALLOW_ORIGIN

          public static final String ACCESS_CONTROL_ALLOW_ORIGIN

      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_ALLOW_CREDENTIALS

          public static final String ACCESS_CONTROL_ALLOW_CREDENTIALS

      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_ALLOW_METHODS

          public static final String ACCESS_CONTROL_ALLOW_METHODS

      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_ALLOW_HEADERS

          public static final String ACCESS_CONTROL_ALLOW_HEADERS

      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_MAX_AGE

          public static final String ACCESS_CONTROL_MAX_AGE

      See Also:
        Constant Field Values

    - #### ORIGIN

          public static final String ORIGIN

      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_REQUEST_METHOD

          public static final String ACCESS_CONTROL_REQUEST_METHOD

      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_EXPOSE_HEADERS

          public static final String ACCESS_CONTROL_EXPOSE_HEADERS

      See Also:
        Constant Field Values

    - #### ACCESS_CONTROL_REQUEST_HEADERS

          public static final String ACCESS_CONTROL_REQUEST_HEADERS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CorsHeaders

          public CorsHeaders()

Copyright © 2014. All Rights Reserved.